class Resolver

# class Resolver | DNS services. More...
Full name | `TelEngine::Resolver`
Definition | `#include <yateclass.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { Unknown, Srv, Naptr, A4, A6, Txt, }

#### Public Static Methods

- static bool available (Type type = Unknown)
- static bool init (int timeout = -1, int retries = -1)
- static int query (Type type, const char* dname, ObjList& result, String* error = 0)
- static int srvQuery (const char* dname, ObjList& result, String* error = 0)
- static int naptrQuery (const char* dname, ObjList& result, String* error = 0)
- static int a4Query (const char* dname, ObjList& result, String* error = 0)
- static int a6Query (const char* dname, ObjList& result, String* error = 0)
- static int txtQuery (const char* dname, ObjList& result, String* error = 0)

#### Public Members

- static const TokenDict s_types[]

## Detailed Description

This class offers DNS query services

enum Type { Unknown, Srv, Naptr, A4, A6, Txt, } | ### Type

Resolver handled types

bool available (Type type = Unknown) | ### available

[static]

Runtime check for resolver availability

Parameters:

type | Optional type to check. Set it to Unknown (default) to check general resolver availability

Returns: True if the resolver is available on current platform

bool init (int timeout = -1, int retries = -1) | ### init

[static]

Initialize the resolver in the current thread

Parameters:

timeout | Query timeout. Negative to use default
retries | The number of query retries. Negative to use default

Returns: True on success

int query (Type type, const char* dname, ObjList& result, String* error = 0) | ### query

[static]

Make a query

Parameters:

type | Query type as enumeration
dname | Domain to query
result | List of resulting record items
error | Optional string to be filled with error string

Returns: 0 on success, error code otherwise (h_errno value on Linux)

int srvQuery (const char* dname, ObjList& result, String* error = 0) | ### srvQuery

[static]

Make a SRV (Service Location) query

Parameters:

dname | Domain to query
result | List of resulting SrvRecord items
error | Optional string to be filled with error string

Returns: 0 on success, error code otherwise (h_errno value on Linux)

int naptrQuery (const char* dname, ObjList& result, String* error = 0) | ### naptrQuery

[static]

Make a NAPTR (Naming Authority Pointer) query

Parameters:

dname | Domain to query
result | List of resulting NaptrRecord items
error | Optional string to be filled with error string

Returns: 0 on success, error code otherwise (h_errno value on Linux)

int a4Query (const char* dname, ObjList& result, String* error = 0) | ### a4Query

[static]

Make an A (IPv4 Address) query

Parameters:

dname | Domain to query
result | List of resulting TxtRecord items
error | Optional string to be filled with error string

Returns: 0 on success, error code otherwise (h_errno value on Linux)

int a6Query (const char* dname, ObjList& result, String* error = 0) | ### a6Query

[static]

Make an AAAA (IPv6 Address) query

Parameters:

dname | Domain to query
result | List of resulting TxtRecord items
error | Optional string to be filled with error string

Returns: 0 on success, error code otherwise (h_errno value on Linux)

int txtQuery (const char* dname, ObjList& result, String* error = 0) | ### txtQuery

[static]

Make a TXT (Text) query

Parameters:

dname | Domain to query
result | List of resulting TxtRecord items
error | Optional string to be filled with error string

Returns: 0 on success, error code otherwise (h_errno value on Linux)

static const TokenDict s_types[] | ### s_types[]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.